Bug 51299 - gnorpm crash when pushing install button
Summary: gnorpm crash when pushing install button
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnorpm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-09 07:15 UTC by Knut J BJuland
Modified: 2009-07-24 16:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 14:05:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Knut J BJuland 2001-08-09 07:15:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
gnorpm: error while loading shared libraries: gnorpm: undefined symbol:
fdFileno. This happen when pusing install button

How reproducible:
Always

Steps to Reproduce:
1.Click on install button.
2.
3.
	

Actual Results:  gnorpm: error while loading shared libraries: gnorpm:
undefined symbol: fdFileno.
Gnorpm bails out.

Expected Results:  I whould be able to install files in rpms format.

Additional info:

from rebuild gnrorpm, rpm 4.0.3-0.88 with rpm-devel-4.0.3-0.88 and rpmbuild

pmdb -lrpmio -lpopt -ldb-3.2 
checksig.o: In function `check_sigs':
checksig.o(.text+0x6d2): the use of `tmpnam' is dangerous, better use `mkstemp'
install.o: In function `do_install':
install.o(.text+0xbb8): undefined reference to `fdFileno'
checksig.o: In function `check_sigs':
checksig.o(.text+0x3f3): undefined reference to `fdFileno'
rpminstalldlg.o: In function `rpm_install_dialog_add_file':
rpminstalldlg.o(.text+0x1a0a): undefined reference to `fdFileno'
rpminstalldlg.o: In function `refilter_cb':
rpminstalldlg.o(.text+0x1daa): undefined reference to `fdFileno'
rpminstalldlg.o: In function `info_frame_set':
rpminstalldlg.o(.text+0x3479): undefined reference to `fdFileno'
rpmquery.o(.text+0x19f6): more undefined references to `fdFileno' follow
collect2: ld returned 1 exit status

Comment 1 Alexander Larsson 2001-08-13 17:20:50 UTC
This should be fixed in gnorpm 0.96-9, which will be in rawhide shortly.



Note You need to log in before you can comment on or make changes to this bug.